jQuery(document).ready(function() {
    jQuery('span.rating').rating();
});

jQuery.fn.rating = function() {
    return jQuery(this).each(function() {
        // Get the value
        var val = parseFloat(jQuery(this).html());
        // Make sure that the value is in 0 - 5 range, multiply to get width
        var size = Math.max(0, (Math.min(5, val))) * 13;
        // Create rating holder
        var $span = jQuery('<span />').width(size);
        // Replace the numerical value with rating
        jQuery(this).html($span);
    });
}

jQuery(document).ready(function() {
	jQuery("#request_btn").click(function() {
		var county_name = jQuery("input[name='countyName']").val();
		var state = jQuery("input[name='applicantState']").val();
		request_url = "ajax/get_county-id.php";
		get_county_id(county_name, state, request_url);
	});

	jQuery("#quote_form input[name='countyName'], #quote_form input[name='applicantState']").keypress(function() {
		jQuery(this).val(jQuery(this).val().toUpperCase())
	});
	jQuery("#quote_form input[name='countyName'] , #quote_form input[name='applicantState']").change(function() {
		jQuery(this).val(jQuery(this).val().toUpperCase())
	});

	menu_control();
});



function get_county_id(county_name, state, request_url)
{
	post_data = {
		state : state,
		county_name : county_name
	};
	jQuery.ajax({
			type	: "POST",
			cache	: false,
			url		: request_url,
			data	: post_data,
			dataType    : 'html',
			error: function(a,b,c){alert(b);},
			success: function(data) {
				jQuery("input[name='countyID']").val(data);
				console.log(data);
				if (data == "") {
					alert("Can't find CountyID that matches to County Name and Sate");
					return;
				} else {
				    jQuery("#quote_form").submit();
				}
			}
	});	
}



function menu_control()
{
	jQuery("#menu_button").click(function(){
		jQuery(this).toggleClass('toggle-menu-visible').toggleClass('toggle-menu-hidden');

		if (jQuery(this).hasClass("toggle-menu-hidden")) {
			jQuery( "#menu_wrapper" ).animate({
				left: -240
				}, 500, function() {
			});	
		} else {
			jQuery( "#menu_wrapper" ).animate({
				left: "0"
			}, 500, function() {
			});
		}
	});	


	jQuery("#closeBtn").click(function() {
		jQuery("#menu_button").addClass('toggle-menu-hidden');
		jQuery("#menu_button").removeClass('toggle-menu-visible');

		jQuery( "#menu_wrapper" ).animate({
			left: -240
			}, 500, function() {
		});	

	});
}